Loading...
Searching...
No Matches
Opm::WellEconProductionLimits Class Reference

## Public Types

enum class | QuantityLimit { RATE = 0 , POTN = 1 }
enum class | EconWorkover { NONE = 0 , CON = 1 , CONP = 2 , WELL = 3 , PLUG = 4 , LAST = 5 , RED = 6 }

## Public Member Functions

| WellEconProductionLimits (const DeckRecord &record)
| WellEconProductionLimits (const RestartIO::RstWell &rstWell)
bool | onAnyEffectiveLimit () const
bool | onAnyRatioLimit () const
bool | onAnyRateLimit () const
bool | onMinOilRate () const
bool | onMinGasRate () const
bool | onMaxWaterCut () const
bool | onMaxGasOilRatio () const
bool | onMaxWaterGasRatio () const
bool | onSecondaryMaxWaterCut () const
bool | onMaxGasLiquidRatio () const
bool | onMaxTemperature () const
bool | onMinLiquidRate () const
bool | onMinReservoirFluidRate () const
bool | validFollowonWell () const
bool | requireWorkover () const
bool | requireSecondaryWorkover () const
bool | endRun () const
double | minOilRate () const
double | minGasRate () const
double | maxWaterCut () const
double | maxGasOilRatio () const
double | maxWaterGasRatio () const
EconWorkover | workover () const
const std::string & | followonWell () const
QuantityLimit | quantityLimit () const
double | maxSecondaryMaxWaterCut () const
EconWorkover | workoverSecondary () const
double | maxGasLiquidRatio () const
double | minLiquidRate () const
double | maxTemperature () const
double | minReservoirFluidRate () const
bool | operator== (const WellEconProductionLimits &other) const
bool | operator!= (const WellEconProductionLimits &other) const
template<class Serializer>
void | serializeOp (Serializer &serializer)

## Static Public Member Functions

static const std::string | QuantityLimit2String (QuantityLimit enumValue)
static QuantityLimit | QuantityLimitFromString (const std::string &stringValue)
static std::string | EconWorkover2String (EconWorkover enumValue)
static EconWorkover | EconWorkoverFromString (const std::string &stringValue)
static WellEconProductionLimits | serializationTestObject ()

The documentation for this class was generated from the following files:

- opm/input/eclipse/Schedule/Well/WellEconProductionLimits.hpp
- opm/input/eclipse/Schedule/Well/WellEconProductionLimits.cpp